Bug 165332 - Update port games/wesnoth to 1.10
Summary: Update port games/wesnoth to 1.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-20 17:50 UTC by rnejdl
Modified: 2012-06-10 14:16 UTC (History)
0 users

See Also:


Attachments
wesnoth-1.10.diff (58.41 KB, patch)
2012-02-20 17:50 UTC, rnejdl
no flags Details | Diff
update.diff (57.96 KB, patch)
2012-03-04 08:58 UTC, Jan Beich
no flags Details | Diff
update.diff (59.64 KB, patch)
2012-03-12 00:58 UTC, Jan Beich
no flags Details | Diff
update.diff (59.64 KB, patch)
2012-04-09 09:05 UTC, Jan Beich
no flags Details | Diff
update.diff (59.64 KB, patch)
2012-05-20 19:25 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rnejdl 2012-02-20 17:50:09 UTC
	Update port games/wesnoth to latest version.

How-To-Repeat: 	Use attached patch
Comment 1 Edwin Groothuis freebsd_committer 2012-02-20 17:50:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 rnejdl 2012-02-21 18:39:07 UTC
Jan,

See comments below:

On 2012-02-21 10:30, Jan Beich wrote:
> Rusty Nejdl <rnejdl@ringofsaturn.com> writes:
>
>>>Description:
>> 	Update port games/wesnoth to latest version.
> [...]
>> -# Date created:			22 December 2003
>> -# Whom:				Mezz <mezz7@cox.net>
>> +# Date created:			7 September 2008
>> +# Whom:				Philip Paeps <philip@FreeBSD.org>
>>  #
>> -# $FreeBSD: ports/games/wesnoth/Makefile,v 1.94 2012/02/18 10:18:21 
>> mva Exp $
>> +# $FreeBSD: ports/games/wesnoth/Makefile,v 1.100 2012/02/18 
>> 10:18:21 mva Exp $
>
> Please, do not alter the port's header and RCS Id.

This was in fact copied from wesnoth-devel because it was significantly 
easier getting that one working.

>
>> +MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} 
>> \
>
> Invalid SF url.
>
>   $ make fetch
>   [...]
>   => Attempting to fetch
> 
> http://heanet.dl.sourceforge.net/project/wesnoth/wesnoth/wesnoth-1.10/wesnoth-1.10.tar.bz2
>   fetch:
> 
> http://heanet.dl.sourceforge.net/project/wesnoth/wesnoth/wesnoth-1.10/wesnoth-1.10.tar.bz2:
> Moved Temporarily

I can easily fix this.

>
>> -CONFLICTS=	wesnoth-devel-[0-9]*
>> +CONFLICTS=	wesnoth-[0-9]*
>
> Ditto as header.

See first comment.  Easy to fix.

>
>> +MANLANG=	"" cs de en_GB et fr gl hu id lt pl sk \
>> +		zh_CN zh_TW
>> +_MANPAGES+=	${PREFIX}/man/es/man6/wesnothd.6 \
>> +		${PREFIX}/man/fi/man6/wesnothd.6 \
>> +		${PREFIX}/man/it/man6/wesnothd.6 \
>> +		${PREFIX}/man/ja/man6/wesnothd.6 \
>> +		${PREFIX}/man/pt_BR/man6/wesnothd.6 \
>> +		${PREFIX}/man/sr/man6/wesnothd.6 \
>> +		${PREFIX}/man/sr@ijekavian/man6/wesnothd.6 \
>> +		${PREFIX}/man/sr@ijekavianlatin/man6/wesnothd.6 \
>> +		${PREFIX}/man/sr@latin/man6/wesnothd.6 \
>> +		${PREFIX}/man/tr/man6/wesnothd.6
>
> Out of date! There is wesnoth.6 for sr*, fi, es, it languages. Have 
> you
> actually checked plist?

I took what was in the PR mentioned.   I can definitely fix this.

>
>
> Other issues are described in ports/160798, including incomplete 
> plist
> if TOOLS is (not) selected.
>
> Here is a comparison between my diff and Rusty's one
>
>   http://pastebin.com/P06Ap6W8
>
> and the diff to commit is attached below.

Looking at your diff to mine, it seems you have already corrected my 
mistakes.  Thank you very much for checking what I had as I do 
appreciate the feedback.  Hopefully we can get this committed soon.

Sincerely,
Rusty Nejdl
Comment 3 Jan Beich freebsd_committer 2012-03-04 08:58:33 UTC
(resending the lost patch...)
Comment 4 Jan Beich freebsd_committer 2012-03-12 00:58:22 UTC
bump to 1.10.1
Comment 5 Jan Beich freebsd_committer 2012-04-09 09:05:30 UTC
bump to 1.10.2 (no plist changes)
Comment 6 rnejdl 2012-04-17 07:37:47 UTC
On 2012-04-09 03:05, Jan Beich wrote:
> bump to 1.10.2 (no plist changes)

This one doesn't work for me:

[tethys]:/usr/ports> sudo patch -p0 < ~/wesnoth.diff
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/Makefile
|===================================================================
|RCS file: /a/.csup/ports/games/wesnoth/Makefile,v
|retrieving revision 1.94
|diff -u -p -r1.94 Makefile
|--- games/wesnoth/Makefile     18 Feb 2012 10:18:21 -0000      1.94
|+++ games/wesnoth/Makefile     8 Apr 2012 21:11:19 -0000
--------------------------
Patching file games/wesnoth/Makefile using Plan A...
Hunk #1 succeeded at 6.
Hunk #2 succeeded at 14.
Hunk #3 succeeded at 25.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/distinfo
|===================================================================
|RCS file: /a/.csup/ports/games/wesnoth/distinfo,v
|retrieving revision 1.54
|diff -u -p -r1.54 distinfo
|--- games/wesnoth/distinfo     14 May 2011 14:05:27 -0000      1.54
|+++ games/wesnoth/distinfo     8 Apr 2012 23:36:19 -0000
--------------------------
Patching file games/wesnoth/distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/pkg-plist
|===================================================================
|RCS file: /a/.csup/ports/games/wesnoth/pkg-plist,v
|retrieving revision 1.58
|diff -u -p -r1.58 pkg-plist
|--- games/wesnoth/pkg-plist    26 Aug 2010 11:25:34 -0000      1.58
|+++ games/wesnoth/pkg-plist    11 Mar 2012 23:02:36 -0000
--------------------------
Patching file games/wesnoth/pkg-plist using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 35.
Hunk #3 succeeded at 61.
Hunk #4 succeeded at 140.
Hunk #5 succeeded at 165.
Hunk #6 succeeded at 190.
Hunk #7 succeeded at 215.
Hunk #8 succeeded at 240.
Hunk #9 succeeded at 265.
Hunk #10 succeeded at 290.
Hunk #11 succeeded at 315.
Hunk #12 succeeded at 340.
Hunk #13 succeeded at 365.
Hunk #14 succeeded at 390.
Hunk #15 succeeded at 415.
Hunk #16 succeeded at 440.
Hunk #17 succeeded at 465.
Hunk #18 succeeded at 490.
Hunk #19 succeeded at 515.
Hunk #20 succeeded at 536.
Hunk #21 succeeded at 590.
Hunk #22 succeeded at 615.
Hunk #23 succeeded at 640.
Hunk #24 succeeded at 665.
Hunk #25 succeeded at 690.
Hunk #26 succeeded at 715.
Hunk #27 succeeded at 740.
Hunk #28 succeeded at 765.
Hunk #29 succeeded at 790.
Hunk #30 succeeded at 815.
Hunk #31 succeeded at 840.
Hunk #32 succeeded at 865.
Hunk #33 succeeded at 890.
Hunk #34 succeeded at 915.
Hunk #35 succeeded at 940.
Hunk #36 succeeded at 965.
Hunk #37 succeeded at 990.
Hunk #38 succeeded at 1015.
Hunk #39 succeeded at 1040.
Hunk #40 succeeded at 1065.
Hunk #41 succeeded at 1090.
Hunk #42 succeeded at 1115.
Hunk #43 succeeded at 1140.
Hunk #44 succeeded at 1165.
Hunk #45 succeeded at 1190.
Hunk #46 succeeded at 1215.
Hunk #47 succeeded at 1240.
Hunk #48 succeeded at 1265.
Hunk #49 succeeded at 1290.
Hunk #50 succeeded at 1315.
Hunk #51 succeeded at 1336.
Hunk #52 succeeded at 1390.
Hunk #53 succeeded at 1415.
Hunk #54 succeeded at 1437.
Hunk #55 succeeded at 1479.
Hunk #56 succeeded at 1541.
Hunk #57 succeeded at 1550.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-CMakeLists.txt
|===================================================================
|RCS file: games/wesnoth/files/patch-CMakeLists.txt
|diff -N games/wesnoth/files/patch-CMakeLists.txt
|--- /dev/null  1 Jan 1970 00:00:00 -0000
|+++ games/wesnoth/files/patch-CMakeLists.txt   21 Feb 2012 15:07:44 
-0000
--------------------------
Patching file games/wesnoth/files/patch-CMakeLists.txt using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-Makefile.am
|===================================================================
|RCS file: games/wesnoth/files/patch-Makefile.am
|diff -N games/wesnoth/files/patch-Makefile.am
|--- games/wesnoth/files/patch-Makefile.am      27 Sep 2010 09:13:10 
-0000     1.3
|+++ /dev/null  1 Jan 1970 00:00:00 -0000
--------------------------
Patching file games/wesnoth/files/patch-Makefile.am using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-configure.ac
|===================================================================
|RCS file: games/wesnoth/files/patch-configure.ac
|diff -N games/wesnoth/files/patch-configure.ac
|--- games/wesnoth/files/patch-configure.ac     27 Sep 2010 09:13:10 
-0000     1.4
|+++ /dev/null  1 Jan 1970 00:00:00 -0000
--------------------------
Patching file games/wesnoth/files/patch-configure.ac using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-doc-CMakeLists.txt
|===================================================================
|RCS file: games/wesnoth/files/patch-doc-CMakeLists.txt
|diff -N games/wesnoth/files/patch-doc-CMakeLists.txt
|--- /dev/null  1 Jan 1970 00:00:00 -0000
|+++ games/wesnoth/files/patch-doc-CMakeLists.txt       21 Feb 2012 
15:07:44 -0000
--------------------------
Patching file games/wesnoth/files/patch-doc-CMakeLists.txt using Plan 
A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-m4-boost.m4
|===================================================================
|RCS file: games/wesnoth/files/patch-m4-boost.m4
|diff -N games/wesnoth/files/patch-m4-boost.m4
|--- games/wesnoth/files/patch-m4-boost.m4      26 Aug 2010 11:28:04 
-0000     1.1
|+++ /dev/null  1 Jan 1970 00:00:00 -0000
--------------------------
Patching file games/wesnoth/files/patch-m4-boost.m4 using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-m4-zlib.m4
|===================================================================
|RCS file: games/wesnoth/files/patch-m4-zlib.m4
|diff -N games/wesnoth/files/patch-m4-zlib.m4
|--- games/wesnoth/files/patch-m4-zlib.m4       20 Jul 2010 10:57:07 
-0000     1.1
|+++ /dev/null  1 Jan 1970 00:00:00 -0000
--------------------------
Patching file games/wesnoth/files/patch-m4-zlib.m4 using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-po-CMakeLists.txt
|===================================================================
|RCS file: games/wesnoth/files/patch-po-CMakeLists.txt
|diff -N games/wesnoth/files/patch-po-CMakeLists.txt
|--- /dev/null  1 Jan 1970 00:00:00 -0000
|+++ games/wesnoth/files/patch-po-CMakeLists.txt        21 Feb 2012 
15:07:44 -0000
--------------------------
Patching file games/wesnoth/files/patch-po-CMakeLists.txt using Plan 
A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-src-CMakeLists.txt
|===================================================================
|RCS file: games/wesnoth/files/patch-src-CMakeLists.txt
|diff -N games/wesnoth/files/patch-src-CMakeLists.txt
|--- /dev/null  1 Jan 1970 00:00:00 -0000
|+++ games/wesnoth/files/patch-src-CMakeLists.txt       21 Feb 2012 
15:07:44 -0000
--------------------------
Patching file games/wesnoth/files/patch-src-CMakeLists.txt using Plan 
A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-src-Makefile.am
|===================================================================
|RCS file: games/wesnoth/files/patch-src-Makefile.am
|diff -N games/wesnoth/files/patch-src-Makefile.am
|--- games/wesnoth/files/patch-src-Makefile.am  20 Jul 2010 10:57:07 
-0000     1.2
|+++ /dev/null  1 Jan 1970 00:00:00 -0000
--------------------------
Patching file games/wesnoth/files/patch-src-Makefile.am using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-src-ana-src-CMakeLists.txt
|===================================================================
|RCS file: games/wesnoth/files/patch-src-ana-src-CMakeLists.txt
|diff -N games/wesnoth/files/patch-src-ana-src-CMakeLists.txt
|--- /dev/null  1 Jan 1970 00:00:00 -0000
|+++ games/wesnoth/files/patch-src-ana-src-CMakeLists.txt       21 Feb 
2012 15:07:44 -0000
--------------------------
Patching file games/wesnoth/files/patch-src-ana-src-CMakeLists.txt 
using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: games/wesnoth/files/patch-src-tests-main.cpp
|===================================================================
|RCS file: games/wesnoth/files/patch-src-tests-main.cpp
|diff -N games/wesnoth/files/patch-src-tests-main.cpp
|--- games/wesnoth/files/patch-src-tests-main.cpp       26 Aug 2010 
11:28:04 -0000      1.1
|+++ /dev/null  1 Jan 1970 00:00:00 -0000
--------------------------
Patching file games/wesnoth/files/patch-src-tests-main.cpp using Plan 
A...
Hunk #1 succeeded at 0.
done
[tethys]:/usr/ports> sudo portmaster wesnoth

===>>> Currently installed version: wesnoth-1.10.1
===>>> Port directory: /usr/ports/games/wesnoth

===>>> Gathering distinfo list for installed ports

===>>> Launching 'make checksum' for games/wesnoth in background
===>>> Gathering dependency list for games/wesnoth from ports
===>>> Initial dependency check complete for games/wesnoth

===>>> Starting build for games/wesnoth <<<===

===>>> All dependencies are up to date

===>  Cleaning for wesnoth-1.10.2

===>  License GPLv2 GPLv3 accepted by the user
===>  Found saved configuration for wesnoth-devel-1.10
===>  Extracting for wesnoth-1.10.2
=> SHA256 Checksum OK for wesnoth-1.10.2.tar.bz2.
===>   wesnoth-1.10.2 depends on file: 
/usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf 
- not found
===>    Verifying extract for 
/usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf 
in /usr/ports/x11-fonts/junicode
===>   Returning to build of wesnoth-1.10.2
===>  Patching for wesnoth-1.10.2
===>  Applying FreeBSD patches for wesnoth-1.10.2
Ignoring previously applied (or reversed) patch.
5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
Ignoring previously applied (or reversed) patch.
5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
Ignoring previously applied (or reversed) patch.
5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
Ignoring previously applied (or reversed) patch.
5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
Ignoring previously applied (or reversed) patch.
5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
=> Patch patch-CMakeLists.txt failed to apply cleanly.
*** Error code 1

Stop in /usr/ports/games/wesnoth.
*** Error code 1

Stop in /usr/ports/games/wesnoth.

===>>> make failed for games/wesnoth
===>>> Aborting update

Terminated

===>>> You can restart from the point of failure with this command 
line:
        portmaster <flags> games/wesnoth

Exit 1
[tethys]:/usr/ports>
Comment 7 Jan Beich freebsd_committer 2012-04-19 10:41:56 UTC
Rusty Nejdl <rnejdl@ringofsaturn.com> writes:

[...]
> ===>  Extracting for wesnoth-1.10.2
> => SHA256 Checksum OK for wesnoth-1.10.2.tar.bz2.
> ===>   wesnoth-1.10.2 depends on file: 
> /usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf 
> - not found
> ===>    Verifying extract for 
> /usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf 
> in /usr/ports/x11-fonts/junicode
> ===>   Returning to build of wesnoth-1.10.2
> ===>  Patching for wesnoth-1.10.2
> ===>  Applying FreeBSD patches for wesnoth-1.10.2
> Ignoring previously applied (or reversed) patch.
> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
> Ignoring previously applied (or reversed) patch.
> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
> Ignoring previously applied (or reversed) patch.
> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
> Ignoring previously applied (or reversed) patch.
> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
> Ignoring previously applied (or reversed) patch.
> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
> => Patch patch-CMakeLists.txt failed to apply cleanly.
> *** Error code 1

Check whether patch-CMakeLists.txt contains two copies of the same hunks.

  $ diff -u wesnoth-1.10.{1,2}/CMakeLists.txt
  $
  $ diff -u update-1.10.{1,2}.diff
  --- update-1.10.1.diff	2012-04-19 13:38:43.372357811 +0400
  +++ update-1.10.2.diff	2012-04-19 13:38:29.426358492 +0400
  @@ -4,14 +4,14 @@ RCS file: /a/.csup/ports/games/wesnoth/M
   retrieving revision 1.94
   diff -u -p -r1.94 Makefile
   --- games/wesnoth/Makefile	18 Feb 2012 10:18:21 -0000	1.94
  -+++ games/wesnoth/Makefile	11 Mar 2012 22:54:01 -0000
  ++++ games/wesnoth/Makefile	8 Apr 2012 21:11:19 -0000
   @@ -6,8 +6,7 @@
    #

    PORTNAME=	wesnoth
   -PORTVERSION=	1.8.6
   -PORTREVISION=	1
  -+PORTVERSION=	1.10.1
  ++PORTVERSION=	1.10.2
    CATEGORIES=	games
    MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-${PORTVERSION:R}/${PORTNAME}-${PORTVERSION} \
                  http://files.wesnoth.org/
  @@ -278,12 +278,12 @@ RCS file: /a/.csup/ports/games/wesnoth/d
   retrieving revision 1.54
   diff -u -p -r1.54 distinfo
   --- games/wesnoth/distinfo	14 May 2011 14:05:27 -0000	1.54
  -+++ games/wesnoth/distinfo	11 Mar 2012 11:48:35 -0000
  ++++ games/wesnoth/distinfo	8 Apr 2012 23:36:19 -0000
   @@ -1,2 +1,2 @@
   -SHA256 (wesnoth-1.8.6.tar.bz2) = 4fe603fa984ac76a384dc94ba28bd99fe2d1adf02ddf1706f2fa1b82b40f8081
   -SIZE (wesnoth-1.8.6.tar.bz2) = 302226547
  -+SHA256 (wesnoth-1.10.1.tar.bz2) = 0050494695af384ef1bd3b5d1d0ced4d1f41695bed9176ddb3d838b12242d387
  -+SIZE (wesnoth-1.10.1.tar.bz2) = 341899698
  ++SHA256 (wesnoth-1.10.2.tar.bz2) = 3d0afe262c04e2ce7ae07eb343350c6f10d0ef34fe68205b6b13605d10fe5c41
  ++SIZE (wesnoth-1.10.2.tar.bz2) = 342094674
   Index: games/wesnoth/pkg-plist
   ===================================================================
   RCS file: /a/.csup/ports/games/wesnoth/pkg-plist,v
Comment 8 rnejdl 2012-04-19 18:58:26 UTC
On 2012-04-19 04:41, Jan Beich wrote:
> Rusty Nejdl <rnejdl@ringofsaturn.com> writes:
>
> [...]
>> ===>  Extracting for wesnoth-1.10.2
>> => SHA256 Checksum OK for wesnoth-1.10.2.tar.bz2.
>> ===>   wesnoth-1.10.2 depends on file:
>> 
>> /usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf
>> - not found
>> ===>    Verifying extract for
>> 
>> /usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf
>> in /usr/ports/x11-fonts/junicode
>> ===>   Returning to build of wesnoth-1.10.2
>> ===>  Patching for wesnoth-1.10.2
>> ===>  Applying FreeBSD patches for wesnoth-1.10.2
>> Ignoring previously applied (or reversed) patch.
>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>> Ignoring previously applied (or reversed) patch.
>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>> Ignoring previously applied (or reversed) patch.
>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>> Ignoring previously applied (or reversed) patch.
>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>> Ignoring previously applied (or reversed) patch.
>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>> => Patch patch-CMakeLists.txt failed to apply cleanly.
>> *** Error code 1
>
> Check whether patch-CMakeLists.txt contains two copies of the same 
> hunks.
>

Jan,

You are correct.  For some reason, applying your diff mucks this file 
up.

[tethys]:/usr/ports/games/wesnoth/files> wc patch-CMakeLists.txt 
patch-CMakeLists.txt.orig
147 772 7262 patch-CMakeLists.txt
73 386 3630 patch-CMakeLists.txt.orig

If I delete everything after here, it works:

if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
add_definitions(-DHAVE_FRIBIDI)
elseif(ENABLE_FRIBIDI AND NOT FRIBIDI_LIBRARIES)
+ pkg_check_modules( FRIBIDI fribidi )
+ if(FRIBIDI_LIBRARIES)
+ add_definitions(-DOLD_FRIBIDI)
+ endif(FRIBIDI_LIBRARIES)
message("Could not find FriBiDi. Disabling FriBiDi support.")
endif()

Do you have any ideas why this happens?

Rusty
Comment 9 rnejdl 2012-04-19 19:03:38 UTC
On 2012-04-19 12:58, Rusty Nejdl wrote:
> On 2012-04-19 04:41, Jan Beich wrote:
>> Rusty Nejdl <rnejdl@ringofsaturn.com> writes:
>>
>> [...]
>>> ===>  Extracting for wesnoth-1.10.2
>>> => SHA256 Checksum OK for wesnoth-1.10.2.tar.bz2.
>>> ===>   wesnoth-1.10.2 depends on file:
>>> 
>>> /usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf
>>> - not found
>>> ===>    Verifying extract for
>>> 
>>> /usr/ports/games/wesnoth/work/wesnoth-1.10.2/fonts/Junicode-Regular.ttf
>>> in /usr/ports/x11-fonts/junicode
>>> ===>   Returning to build of wesnoth-1.10.2
>>> ===>  Patching for wesnoth-1.10.2
>>> ===>  Applying FreeBSD patches for wesnoth-1.10.2
>>> Ignoring previously applied (or reversed) patch.
>>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>>> Ignoring previously applied (or reversed) patch.
>>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>>> Ignoring previously applied (or reversed) patch.
>>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>>> Ignoring previously applied (or reversed) patch.
>>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>>> Ignoring previously applied (or reversed) patch.
>>> 5 out of 5 hunks ignored--saving rejects to CMakeLists.txt.rej
>>> => Patch patch-CMakeLists.txt failed to apply cleanly.
>>> *** Error code 1
>>
>> Check whether patch-CMakeLists.txt contains two copies of the same 
>> hunks.
>>
>
> Jan,
>
> You are correct.  For some reason, applying your diff mucks this file 
> up.
>
> [tethys]:/usr/ports/games/wesnoth/files> wc patch-CMakeLists.txt
> patch-CMakeLists.txt.orig
> 147 772 7262 patch-CMakeLists.txt
> 73 386 3630 patch-CMakeLists.txt.orig
>
> If I delete everything after here, it works:
>
> if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
> add_definitions(-DHAVE_FRIBIDI)
> elseif(ENABLE_FRIBIDI AND NOT FRIBIDI_LIBRARIES)
> + pkg_check_modules( FRIBIDI fribidi )
> + if(FRIBIDI_LIBRARIES)
> + add_definitions(-DOLD_FRIBIDI)
> + endif(FRIBIDI_LIBRARIES)
> message("Could not find FriBiDi. Disabling FriBiDi support.")
> endif()
>
> Do you have any ideas why this happens?
>
> Rusty

Well, I found that even that didn't work.  Something is killing me on 
this diff.

Rusty
Comment 10 rnejdl 2012-04-19 19:09:55 UTC
>>
>> Rusty
>
> Well, I found that even that didn't work.  Something is killing me on
> this diff.
>
> Rusty

Jan,

Sorry for the noise.  What I ended up doing was deleting the port 
completely and pulling again from cvs.  There were some extra files in 
there from the last update and that's where the duplication came from.  
Your diff is spot on.

Rusty
Comment 11 Jan Beich freebsd_committer 2012-05-20 19:25:46 UTC
bump to 1.10.3 (no plist changes)
Comment 12 rnejdl 2012-06-10 02:42:29 UTC
I am following up on this PR to see what is holding it up or if we are 
having a maintainer timeout issue.  This has been opened for 4 months.

Thanks!
Rusty Nejdl
Comment 13 dfilter service freebsd_committer 2012-06-10 14:09:00 UTC
ak          2012-06-10 13:08:48 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth        Makefile distinfo pkg-plist 
  Added files:
    games/wesnoth/files  patch-CMakeLists.txt 
                         patch-doc-CMakeLists.txt 
                         patch-po-CMakeLists.txt 
                         patch-src-CMakeLists.txt 
                         patch-src-ana-src-CMakeLists.txt 
  Removed files:
    games/wesnoth/files  patch-Makefile.am patch-configure.ac 
                         patch-m4-boost.m4 patch-m4-zlib.m4 
                         patch-src-Makefile.am 
                         patch-src-tests-main.cpp 
                         patch-src-tools-exploder_utils.cpp 
  Log:
  - Update to 1.10.3 (see http://changelog.wesnoth.org for details)
  
  PR:     ports/165332
  Submitted by    Rusty Nejdl <rnejdl@ringofsaturn.com>
  Approved by:    philip (maintainer timeout 14w), eadler, itetcu (mentors, implicit)
  
  Revision  Changes    Path
  1.96      +73 -106   ports/games/wesnoth/Makefile
  1.55      +2 -2      ports/games/wesnoth/distinfo
  1.1       +74 -0     ports/games/wesnoth/files/patch-CMakeLists.txt (new)
  1.4       +0 -18     ports/games/wesnoth/files/patch-Makefile.am (dead)
  1.5       +0 -14     ports/games/wesnoth/files/patch-configure.ac (dead)
  1.1       +7 -0      ports/games/wesnoth/files/patch-doc-CMakeLists.txt (new)
  1.2       +0 -11     ports/games/wesnoth/files/patch-m4-boost.m4 (dead)
  1.2       +0 -15     ports/games/wesnoth/files/patch-m4-zlib.m4 (dead)
  1.1       +24 -0     ports/games/wesnoth/files/patch-po-CMakeLists.txt (new)
  1.1       +22 -0     ports/games/wesnoth/files/patch-src-CMakeLists.txt (new)
  1.3       +0 -31     ports/games/wesnoth/files/patch-src-Makefile.am (dead)
  1.1       +34 -0     ports/games/wesnoth/files/patch-src-ana-src-CMakeLists.txt (new)
  1.2       +0 -10     ports/games/wesnoth/files/patch-src-tests-main.cpp (dead)
  1.2       +0 -10     ports/games/wesnoth/files/patch-src-tools-exploder_utils.cpp (dead)
  1.59      +224 -6    ports/games/wesnoth/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Alex Kozlov freebsd_committer 2012-06-10 14:13:44 UTC
Responsible Changed
From-To: philip->ak

maintainer timeout (14 weeks)
Comment 15 Alex Kozlov freebsd_committer 2012-06-10 14:16:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!